javax.xml.messaging

## Interface OnewayListener

    public interface OnewayListener

A marker interface for components (for example, servlets) that are intended to be consumers of one-way (asynchronous) JAXM messages. The receiver of a one-way message is sent the message in one operation, and it sends the response in another separate operation. The time interval between the receipt of a one-way message and the sending of the response may be measured in fractions of seconds or days.

The implementation of the `onMessage` method defines how the receiver responds to the `SOAPMessage` object that was passed to the `onMessage` method.

See Also:
  `JAXMServlet`, `ReqRespListener`

### Method Summary

Methods
`void` `onMessage(javax.xml.soap.SOAPMessage message)` Passes the given `SOAPMessage` object to this `OnewayListener` object.

### Method Detail

#### onMessage

    void onMessage(javax.xml.soap.SOAPMessage message)

Passes the given `SOAPMessage` object to this `OnewayListener` object. This method is invoked behind the scenes, typically by the container (servlet or EJB container) after the messaging provider delivers the message to the container. It is expected that EJB Containers will deliver JAXM messages to EJB components using message driven Beans that implement the `javax.xml.messaging.OnewayListener` interface.

Parameters:
  `message` - the `SOAPMessage` object to be passed to this `OnewayListener` object